Stack-based buffer overflow in Adobe Acrobat and Reader 8.1.2 and earlier allows remote attackers to execute arbitrary code via a PDF file that calls the util.printf JavaScript function with a crafted format string argument, a related issue to CVE-2008-1104.
Published 2008-11-04 18:29:48
Updated 2018-10-30 16:25:17
Source MITRE
View at NVD,   CVE.org
Vulnerability category: OverflowExecute code

CVE-2008-2992 is in the CISA Known Exploited Vulnerabilities Catalog

CISA vulnerability name:
Adobe Reader and Acrobat Input Validation Vulnerability
CISA required action:
Apply updates per vendor instructions.
CISA description:
Adobe Acrobat and Reader contain an input validation issue in a JavaScript method that could potentially lead to remote code execution.
Added on 2022-03-03 Action due date 2022-03-24

Exploit prediction scoring system (EPSS) score for CVE-2008-2992

Probability of exploitation activity in the next 30 days: 97.17%

Percentile, the proportion of vulnerabilities that are scored at or less: ~ 100 % EPSS Score History EPSS FAQ

Metasploit modules for CVE-2008-2992

  • Adobe util.printf() Buffer Overflow
    Disclosure Date: 2008-02-08
    First seen: 2020-04-26
    exploit/windows/fileformat/adobe_utilprintf
    This module exploits a buffer overflow in Adobe Reader and Adobe Acrobat Professional < 8.1.3. By creating a specially crafted pdf that a contains malformed util.printf() entry, an attacker may be able to execute arbitrary code. Authors: - MC <mc@metasploit.com>
  • Adobe util.printf() Buffer Overflow
    Disclosure Date: 2008-02-08
    First seen: 2020-04-26
    exploit/windows/browser/adobe_utilprintf
    This module exploits a buffer overflow in Adobe Reader and Adobe Acrobat Professional < 8.1.3. By creating a specially crafted pdf that a contains malformed util.printf() entry, an attacker may be able to execute arbitrary code. Authors: - MC <mc@metasploit.com>

CVSS scores for CVE-2008-2992

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source
9.3
HIGH AV:N/AC:M/Au:N/C:C/I:C/A:C
8.6
10.0
NIST

CWE ids for CVE-2008-2992

References for CVE-2008-2992

Products affected by CVE-2008-2992

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!